<?php
return array(

    /* konfigurasi routing */
    'router' => array(
        'routes' => array(
            'home' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Neuron\Sample\Person\Controller', /* set default routing fallback */
                        'controller' => 'Index',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '[:controller[/:action]]', /* set konfigurasi auto routing, selain default */
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),

    /* mapping namespace controller ke class controller, setiap controller harus didaftarkan disini */
    'controllers' => array(
        'invokables' => array(
            'Neuron\Sample\Person\Controller\Index' => 'Neuron\Sample\Person\Controller\Index',
        ),
    ),

    /* mapping action name ke file view, setiap action dan view harus didaftarkan disini */
    'view_manager' => array(
        'template_map' => array(
            'layout/layout' => __DIR__ . '/../layout/layout.phtml', /* lokasi file template layout */
            'neuron/person/controller/index/index' => __DIR__ . '/../view/index/index.phtml',
        ),
        'template_path_stack' => array(
            __DIR__ . '/../view',
        ),
    ),

);
